Subject: Re: Git in GSoC 2014

From: Michael Haggerty <[email-masked]>
Date: Thu, 27 Feb 2014 08:34:58 +0100

On 02/26/2014 08:48 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> See my branch on GitHub [1] or read the appended text below.
> 
> Very nice.
> 
>> ## Introduction
>>
>> It is strongly recommended that students who want to apply to the Git
>> project for the Summer of Code 2014 should submit a small code-related
>> patch to the Git project as part of their application.  Think of these
>> microprojects as the "Hello, world" of getting involved with the Git
>> project; the coding aspect of the change can be almost trivial, but to
>> make the change the student has to become familiar with many of the
>> practical aspects of working on the Git project:
> 
> I'd suggest one step before all of the below.  
> 
>  * Here (http://thread.gmane.org/{TBD1,TBD2,TBD3...}) are a sample
>    set of threads that show how a change and a patch to implement it
>    is proposed by a developer X, the problem it attempts to solve,
>    the design of the proposed solution and the implementation of
>    that design are reviewed and discussed, and that after several
>    iterations it resulted in inclusion to our codebase.  As a GSoC
>    student, you will be playing the role of X and engaging in a
>    similar discussion.  Get familar with the flow, need for clarity
>    on both sides (i.e. you need to clearly defend your design, and
>    need to ask clarifications when questions/suggestions you are
>    offered are not clear enough), the pace at which the discussion
>    takes place, and the general tone of the discussion, to learn
>    what is expected of you.
> 
> That would help the later step, namely:
> 
>> * Expect feedback, criticism, suggestions, etc. from the mailing list.
>>
>>   *Respond to it!* and follow up with improved versions of your
>>   change.  Even for a trivial patch you shouldn't be surprised if it
>>   takes two or more iterations before your patch is accepted.  *This
>>   is the best part of the Git community; it is your chance to get
>>   personalized instruction from very experienced peers!*

Sounds good.  I suggest we make your blob a paragraph before the list of
bullet points rather than part of the list.  Please suggest some "TBD*"
then I'll add it to the text.  Would we also fill in "X" with the name
of the actual student involved in the conversation that is pointed to?

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/